<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <title>Task 35.20 List</title>
</head>
<body>
    <div class="text-center ">
        <h3>Danh sách người dùng</h3>
    </div>

    <div class="container-fluid">
        <div class="row form-group">
            <div class="col-sm-12 text-nowrap">
                <table class="table table-bordered table-striped table-hover" id="table-user">
                    <thead class="texy-while thead-dark">
                        <tr class="text-center">
                            <th>STT</th>
                            <th>Name</th>
                            <th>UserName</th>
                            <th>Email</th>
                            <th>Address</th>
                            <th>Zip Code</th>
                            <th>Phone</th>
                            <th>Company</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody></tbody>
                </table>
            </div>
        </div>
    </div>
</body>
<button></button>
<script>
    
        "use strict"
        onPageLoading();

  
    $(document).on("click",".btn-detail", function(){
        console.log("Nút chi tết được ấn ...!");
        console.log("ID: " + $(this).data("id"));

        const vFORM_TO_OPEN = "task%2035.20Detail.html"  //đây là form sẽ mở

        var vUrlToOpenPage = vFORM_TO_OPEN + "?" + "id=" + $(this).data("id");

         window.location.href = vUrlToOpenPage;
    })
    function onPageLoading(){
        $.ajax({
            url: "https://jsonplaceholder.typicode.com/users/",
            type: 'GET', 
            dataType: "json",
            success: function(res){
                console.log(res);
                showAllDataUser(res);
            },
            error: function(ajaxContect){
                alert(ajaxContect.responseText)
            }

        })
    }
    function showAllDataUser(pagramUser){
        for(var bI = 0; bI < pagramUser.length; bI ++){
           var bRow= "";
           bRow += "<tr>"
            bRow += "<td>" + pagramUser[bI].id + "</td>";
            bRow += "<td>" + pagramUser[bI].name + "</td>";
            bRow += "<td>" + pagramUser[bI].username + "</td>";
            bRow += "<td>" + pagramUser[bI].email + "</td>";
            bRow += "<td>" + pagramUser[bI].address.suite + ","  + pagramUser[bI].address.street + "," + pagramUser[bI].address.city + "</td>";
            bRow += "<td>" + pagramUser[bI].address.zipcode + "</td>";
            bRow += "<td>" + pagramUser[bI].phone + "</td>";
            bRow += "<td>" + pagramUser[bI].company.name + "</td>";
            bRow += "<td>" + "<button class = 'btn btn-success btn-detail 'data-id='" + pagramUser[bI].id + " '> Chi tiết </button>" + "</td>";
            bRow += "</tr>"
            $("#table-user tbody").append(bRow);
        }
    }
</script>
</html>